package j2eetut.teller;

/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import java.util.*;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class TellerClient {

   public static void main(String[] args) {

       try {
           Context initial = new InitialContext();
           Object objref = initial.lookup("examples/SimpleTeller");

           TellerHome home = 
               (TellerHome)PortableRemoteObject.narrow(objref, 
                                            TellerHome.class);

           Teller duke = home.create("123");
           System.out.println("checking = " + duke.getCheckingBalance());
           duke.withdrawCash(60.00);
           System.out.println("checking = " + duke.getCheckingBalance());
           duke.remove();

           System.exit(0);

       } catch (Exception ex) {
           System.err.println("Caught an exception." );
           ex.printStackTrace();
       }
   } 
} 
